cayenne-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrus Adamchik <and...@objectstyle.org>
Subject Re: [ANN] Cayenne 3.0M4 Released
Date Fri, 30 May 2008 09:09:15 GMT

On May 30, 2008, at 11:55 AM, Borut BolĨina wrote:

> I tried launching Cayenne Modeler within Eclipse by clicking on  
> cayenne.xml
> (I associated cayenne-3.0M4-win\bin\CayenneModeler.exe with  
> cayenne.xml
> before at General/Editors/File Associations in Eclipse preferences)  
> and it
> still does not open a project in the modeler, although the modeler  
> starts
> (as in M3). This worked in some previous versions (I don't remember  
> which
> ones).

Probably it worked back in 1.2.x when we used a different technology  
for .exe wrapper that we had to drop in favor of NSIS for licensing  
reasons. I think this is achievable with NSIS as well, we may just  
need somebody versed into Windows programming to help us fix it (I  
think it has something to do with CLASPATH definition relying on  
relative path in japplication plugin that produces the .exe: [1])


> One other thing.Looking at
> http://cayenne.apache.org/doc/api/org/apache/cayenne/query/DeleteQuery.html 
> ,
> is there a typo in class comment saying: "*Deprecated.* *since 3.0.  
> Should
> be replaced either with EJBQL update query or SQLTemplate.*" Should  
> there be
> EJBQLDelete?

Good catch. There is no EJBQLDelete (for whatever reason JPA spec does  
not define it, and we followed it here)... I guess we just need to  
clarify the javadocs.

Andrus

[1] https://svn.objectstyle.org/repos/woproject/trunk/woproject/woproject-ant-tasks/src/resources/japplication/windows/app.nsi
Mime
View raw message